Fetch values for Product Analytics string columns
POST
/
v1
/
product-analytics
/
column-values
cURL
curl -X POST 'https://api.growthbook.io/api/v1/product-analytics/column-values' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/product-analytics/column-values"
payload = {
"columns": ["<string>"],
"factTableId": "<string>",
"metricIds": ["<string>"],
"searchTerm": "<string>",
"limit": 20
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
columns: ['<string>'],
factTableId: '<string>',
metricIds: ['<string>'],
searchTerm: '<string>',
limit: 20
})
};
fetch('https://api.growthbook.io/api/v1/product-analytics/column-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"values": {},
"warnings": [
"<string>"
]
}Authorizations
bearerAuthbasicAuth
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1/features -H "Authorization: Bearer secret_abc123DEF456"
Body
application/json
Available options:
fact_table, metric Required array length:
1 - 5 elementsRequired string length:
1 - 255Required string length:
1 - 255Required array length:
1 - 20 elementsRequired string length:
1 - 255Maximum string length:
200Required range:
1 <= x <= 50Was this page helpful?
⌘I
cURL
curl -X POST 'https://api.growthbook.io/api/v1/product-analytics/column-values' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/product-analytics/column-values"
payload = {
"columns": ["<string>"],
"factTableId": "<string>",
"metricIds": ["<string>"],
"searchTerm": "<string>",
"limit": 20
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
columns: ['<string>'],
factTableId: '<string>',
metricIds: ['<string>'],
searchTerm: '<string>',
limit: 20
})
};
fetch('https://api.growthbook.io/api/v1/product-analytics/column-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"values": {},
"warnings": [
"<string>"
]
}
